# Ackley multi-modal function.
#
# aivaz@dps.uminho.pt
#
# 9 April 2004

# parameters
param n;                         # dimension
param pi := 4*atan(1);           # Pi


# Problem variables
var x {i in 1..n};


maximize obj: 
	20*exp(-0.2*sqrt((sum {i in 1..n} (x[i]^2))/n))+
	exp((sum {i in 1..n} (cos(2*pi*x[i])))/n)-20-exp(1);

subject to bounds {i in 1..n}:
	-30 <= x[i] <= 30;


data;

param n := 2;

option solver mlocpsoa;
#option npsol_options "mprlev=10 prlev=10";
solve;

display x;

display obj;
