# Schwefel multi-modal function.
#
# aivaz@dps.uminho.pt
#
# 14 April 2004

# parameters
param n;                         # dimension


# Problem variables
var x {i in 1..n};


maximize obj: 
	-418.9829*n-(sum {i in 1..n} (x[i]*sin(sqrt(abs(x[i])))));

subject to bounds {i in 1..n}:
	-500 <= x[i] <= 500;


data;

param n := 30;

option solver mlocpsoa;
#option npsol_options "mprlev=10 prlev=10";
solve;

display x;

display obj;
